Windows SDK 和模擬器封存

此封存包含適用於舊版 Windows 和 Windows Phone 平台版本的 SDK 版本和更新,以及支援行動裝置經驗之開發和 UX 測試的模擬器版本。

如需最新版本的 Visual Studio 和 Windows 10 開發人員工具,請參閱適用於 Windows 的下載項目與工具

Windows 10

Windows 10 SDK (版本10.0.15063.468) 與適用於 Windows 10 行動裝置版的 Microsoft 模擬器

搭配 Windows 10 Creators Update 一起發行。這個 SDK 可用來建置適用於 Windows 10 Creators Update 和舊版 Windows 10 的通用 Windows 應用程式與傳統型應用程式。

這個原先於 2017 年 4 月發行的 SDK 已有下列更新:

QFE 組建:10.0.15063.468
2017 年 6 月發行

這個非安全性更新包含下列品質改良:

  • 已處理包含 events.h 時會發生建置錯誤的問題
  • 已回溯移植測試到應用程式認證套件
  • 已處理 WinAppDeploycmd 工具無法透過 USB 連線到手機的問題
  • 已處理 UWP 遠端部署管線會無訊息取消 SMB 例外狀況的問題。

QFE 組建:10.0.15063.400
2017 年 5 月發行

這個非安全性更新包含下列品質改良:

  • 改進封裝串流應用程式時的診斷錯誤訊息內容
  • 已處理包含 Bits 標頭時會發生建置錯誤的問題
  • 已包含當地語系化 IntelliSense 檔案的改進

「適用於 Windows 10 的 Microsoft 行動裝置模擬器」為傳統型應用程式,與 SDK 一同發行,可模擬執行 Windows 10 的行動裝置。

Windows 10 SDK (版本10.0.14393.795) 與適用於 Windows 10 行動裝置版的 Microsoft 模擬器

搭配 Windows 10 年度更新版一起發行。這個 SDK 可用來建置適用於 Windows 10 年度更新版和舊版 Windows 10 的通用 Windows 應用程式與傳統型應用程式。

這個原先於 2017 年 4 月發行的 SDK 已有下列更新:

QFE 組建 10.0.14393.795
2017 年 1 月發行

這個非安全性更新包含下列品質改良:

  • 已處理開發人員因 MRMSupport.dll 無法載入而無法在 Windows 7 上建置 UWP 應用程式的問題。
  • 已處理 MidlRT 和 MDMerge 無法在 Windows 7 上執行的問題
  • 已解決 SDK 安裝程式無法在 Windows 上安裝的問題
  • 已解決部署舊版市集應用程式到 8.1 Phone 導致 Visual Studio 當機的問題
  • 已解決應用程式在取消註冊時應用程式資料未保存在各個遠端偵錯工作階段的問題

「適用於 Windows 10 的 Microsoft 行動裝置模擬器」為傳統型應用程式,與 SDK 一同發行,可模擬執行 Windows 10 的行動裝置。(版本 10.0.10586.11)

Windows 10 SDK (10586) 與適用於 Windows 10 行動裝置版的 Microsoft 模擬器

使用此 SDK 開始建置適用於 Windows 10 的通用 Windows 應用程式與傳統型應用程式。於 2015 年 11 月發佈。(版本 10.0.10586.212)

「適用於 Windows 10 的 Microsoft 行動裝置模擬器」為傳統型應用程式,與 SDK 一同發行,可模擬執行 Windows 10 的行動裝置。(版本 10.0.10586.11)

Windows 10 SDK (26624) 與適用於 Windows 10 行動裝置版的 Microsoft 模擬器

使用此 SDK 開始建置適用於 Windows 10 的通用 Windows 應用程式與傳統型應用程式。於 2015 年 7 月發佈。(版本 10.0.26624.0)

「適用於 Windows 10 的 Microsoft 行動裝置模擬器」為傳統型應用程式,與 SDK 一同發行,可模擬執行 Windows 10 的行動裝置。(版本 10.0.26624.0)

Microsoft HoloLens 模擬器

在虛擬機器的 Windows 全像攝影版上執行應用程式,而不需要 HoloLens。此安裝亦包含適用於 Visual Studio 的全像攝影 DirectX 專案範本。

    Windows 8.1

    此 SDK 是在 2013 年 10 月發行,可用來建立使用 Web 技術、機器碼及 Managed 程式碼的 Windows 市集應用程式 (適用於 Windows 8.1 或更新版本);或是使用機器碼或 Managed 程式設計模型的傳統型應用程式。深入了解適用於 Windows 8.1 的 Windows SDK

    Windows Phone 8.1 開發工具

    Windows Phone 8.1 開發工具會隨 Visual Studio Community 2015 Update 2 一起安裝。在 Update 2 中引入的功能包含新的模擬器與通用應用程式範本。

    Windows Phone 8.1 模擬器

    Windows Phone 8.1 模擬器套件新增六個模擬器映像到現有的 Visual Studio 2013 安裝,因此您可以測試應用程式在執行 Windows Phone 8.1 之手機上執行的情形。(需要 Visual Studio 2013 Update 2 或更新版本)。

    Windows Phone 8.1 更新和模擬器

    支援在執行 Windows Phone 8.1 Update 1 之手機的測試案例中使用模擬器。(需要 Visual Studio 2013 Update 2 或更新版本)。

    Windows 8

    此 SDK 是在 2012 年 11 月發行,可用來建立使用 Web 技術、機器碼及 Managed 程式碼的 Windows 市集應用程式 (適用於 Windows 8 或更早版本);或是建立使用機器碼或 Managed 程式設計模型的傳統型應用程式。深入了解適用於 Windows 8 的 Windows SDK

    Windows Phone SDK 8.0

    安裝 Visual Studio Community 2015 以取得開發適用於 Windows Phone 8 裝置之應用程式的工具。

    Windows Phone SDK 8.0 Update 3 模擬器

    新增五個新的模擬器映像到現有的 Windows Phone SDK 8.0 安裝。此更新安裝完成後,您可以測試應用程式在 Windows Phone 8 Update 3 (8.0.10492 版本或更新版本) 裝置上執行的情形。此更新需要 Visual Studio 2012 搭配 Windows Phone SDK 8.0 和 Update 4 或更新版本,或 Visual Studio 2013 搭配在安裝期間選取選用的 Windows Phone SDK 8.0 選項。

    適用於 Windows Phone 8.0.10322 的 Windows Phone SDK 8.0 更新

    新增四個新的模擬器映像到現有的 Windows Phone SDK 8.0 安裝。此更新需要 Visual Studio 2012 搭配 Windows Phone SDK 8.0 和 Update 4 或更新版本,或 Visual Studio 2013 搭配在安裝期間選取選用的 Windows Phone SDK 8.0 選項。

    適用於 Windows Phone 7.8 的 Windows Phone SDK 更新

    新增兩個新的模擬器映像到現有的 Windows Phone SDK 安裝。此更新可支援 Windows Phone SDK 7.1 與 Windows Phone SDK 8.0。使用此更新,可以在您的 Windows Phone 7.5 應用程式中使用 Windows Phone 8 [開始] 畫面體驗。您也可以測試應用程式在 Windows Phone 7.8 裝置上執行的情形。

    Windows Phone SDK 7.1

    用來協助開發適用於 Windows Phone 7.5 和 Windows Phone 7.0 裝置之應用程式的工具。

    Windows Phone SDK 7.1.1 更新

    為 Windows Phone SDK 7.1 提供其他功能。使用此更新,您可以更輕鬆地開發適合在 256 MB 裝置上執行的應用程式和遊戲。

    Windows 7 和 .NET Framework 4

    此 SDK 於 2010 年 6 月發行,可用來開發適用於 Windows 7、Windows XP、Windows Server 2003、Windows Vista、Windows Server 2008 以及 .NET Framework 版本 2.0、3.0、3.5 SP1 和 4.0 的應用程式。

    若要避免安裝發生問題,請在安裝 Windows 7 與 .NET Framework 4 之前先參閱 http://support.microsoft.com/kb/2717426

    Windows 7 和 .NET Framework 3.5 SP1

    此 SDK 於 2009 年 8 月發行,可用來開發適用於 Windows 7、Windows XP、Windows Server 2003、Windows Vista、Windows Server 2008 以及 .NET Framework 版本 2.0、3.0 和 3.5 SP1 的應用程式。

    Windows Server 2008 和 .NET Framework 3.5

    此 SDK 於 2008 年 2 月發行,可用來開發可在 Windows Server 2008 以及 .NET Framework 3.5 上執行的應用程式。

    適用於 Windows Vista 和 .NET Framework 3.0 的更新

    此 SDK 於 2007 年 2 月發行,可用來開發可在 Windows Vista 上執行的應用程式。

    本頁對您有幫助嗎?
    其他意見反應?
    感謝您! 非常感謝您提供意見反應。
    關注我們 Twitter 部落格 Facebook Twitter 部落格 Facebook WeChat Line